package com.atlassian.jira.plugin.ext;

import com.atlassian.jira.plugin.assignee.impl.DefaultAssigneeResolver;
import com.atlassian.jira.issue.Issue;
import com.atlassian.jira.project.ProjectManager;
import com.atlassian.jira.security.JiraAuthenticationContext;
import com.opensymphony.user.User;

import java.util.Map;

/**
 * Leaves bugs unassigned by default; everything else follows the normal JIRA rules.
 */
public class CustomAssigneeResolver extends DefaultAssigneeResolver
{
    public CustomAssigneeResolver(ProjectManager projectManager, JiraAuthenticationContext authenticationContext)
    {
        super(projectManager, authenticationContext);
    }

    public User getDefaultAssignee(Issue issue, Map fieldValuesHolder)
    {
        if (issue.getIssueTypeObject().getId().equals("1")) // 1 is the id for the Bug issue type.
        {
            return null; // unassigned
        }
        else return super.getDefaultAssignee(issue, fieldValuesHolder);
    }
}
