package com.atlassian.jira.plugin.customfield.example;

import com.atlassian.jira.util.JiraVelocityHelper;

import java.util.List;
import java.util.ArrayList;
import java.util.Iterator;
import java.net.URL;
import java.net.MalformedURLException;
import java.io.UnsupportedEncodingException;

import org.dom4j.io.SAXReader;
import org.dom4j.Document;
import org.dom4j.Element;
import org.dom4j.DocumentException;

public class AmazonSearchViewHelper
{
    private static final String SUBSCRIPTION_ID = "1EHAFS2Q6EX2H3S645R2";
    public static final String QUERY_PREFIX
            = "http://aws-beta.amazon.com/onca/xml?Service=AWSProductData&Operation=ItemSearch&SubscriptionId=" + SUBSCRIPTION_ID + "&SearchIndex=Books&Keywords=";


    public List searchForBooks(String query)
    {
        List l = new ArrayList();
        if (query != null)
        {
            try
            {
                query = new JiraVelocityHelper().urlencode(query);

                SAXReader reader = new SAXReader();
                Document d = reader.read(new URL(QUERY_PREFIX + query));

                final List x = d.getRootElement().element("Items").elements("Item");

                for (Iterator iterator = x.iterator(); iterator.hasNext();)
                {
                    Element element = (Element) iterator.next();
                    l.add(new Book(element));
                }
            }
            catch (DocumentException e)
            {
                e.printStackTrace();
            }
            catch (MalformedURLException e)
            {
                e.printStackTrace();
            }
            catch (UnsupportedEncodingException e)
            {
                e.printStackTrace();
            }
        }

        return l;
    }
}
